ThermostatTrait.AtomicRequestCommand.Response

class ThermostatTrait.AtomicRequestCommand.Response : ClusterStruct


The result of the atomic request.

Summary

Nested types

Descriptor enum for this command's response fields.

Public constructors

Response(
    statusCode: UByte,
    attributeStatus: List<ThermostatTrait.AtomicAttributeStatusStruct>,
    timeout: UShort?
)

Creates a response payload from the AtomicRequest command.

Public functions

open StructDescriptor

Returns the descriptor for the struct.

open Any?

Returns the value of the field for the given tag ID.

Public properties

List<ThermostatTrait.AtomicAttributeStatusStruct>

A list of statuses for the attributes involved in the atomic write.

UByte

The status of the atomic write.

UShort?

A timeout provided by the server.

Public constructors

Response

Response(
    statusCode: UByte,
    attributeStatus: List<ThermostatTrait.AtomicAttributeStatusStruct> = emptyList(),
    timeout: UShort? = null
)

Creates a response payload from the AtomicRequest command.

Public functions

getDescriptor

@HomeExperimentalGenericApi
open fun getDescriptor(): StructDescriptor

Returns the descriptor for the struct.

getFieldValueById

@HomeExperimentalGenericApi
open fun getFieldValueById(tagId: UInt): Any?

Returns the value of the field for the given tag ID.

Public properties

attributeStatus

val attributeStatusList<ThermostatTrait.AtomicAttributeStatusStruct>

A list of statuses for the attributes involved in the atomic write. This list contain a status for each of the attribute IDs provided in the AtomicRequest command.

statusCode

val statusCodeUByte

The status of the atomic write.

timeout

val timeoutUShort?

A timeout provided by the server.